Subject: RE:Comforter set #Ref 20241109003423914
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 09 Nov 2024 15:17:10 -0800

Josh / Mary-

Please handle the email below.  Thank you.

Best,

Helita

===============================================================================

Hello,  I ordered a the 7 piece Madison park essentials king comforter set in taupe/grey.  My order number is 113-7276868-2446612 from Amazon and it did not come with the pillow cases as it states in the order.  I have looked everywhere for them and they definitely were not sent.  Can I get sent the 2 king pillow cases that were supposed to be with my order?

Thank you,
Erin Crosby
Sent from my iPhone